using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a mummy corpse" )]
	public class MummyLord : BaseCreature
	{
		[Constructable]
		public MummyLord() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.4, 0.8 )
		{
			Name = "the mummy lord";
			Body = 65;
			BaseSoundID = 471;
			AnimationMod = 1;
			Clan = Clan.Undead;

			SetStr( 546, 570 );
			SetDex( 271, 290 );
			SetInt( 26, 40 );

			SetHits( 408, 422 );

			SetDamage( 18, 28 );

			SetSkill( SkillName.MagicResist, 65.1, 80.0 );
			SetSkill( SkillName.Tactics, 85.1, 110.0 );
			SetSkill( SkillName.HandToHand, 85.1, 110.0 );

			Fame = 8500;
			Karma = -8500;

			VirtualArmor = 50;

			PackItem( new Garlic( Utility.RandomMinMax( 10, 20 ) ) );
			PackItem( new Bandage( Utility.RandomMinMax( 10, 20 ) ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Gems, 2 );
			AddLoot( LootPack.MedPotions );
		}

		public override Poison PoisonImmune{ get{ return Poison.Greater; } }

		public MummyLord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}